org.apache.fop.fonts

## Enum EncodingMode

- java.lang.Object
- - java.lang.Enum<EncodingMode>
  - - org.apache.fop.fonts.EncodingMode

- All Implemented Interfaces:
    Serializable, Comparable<EncodingMode>

      public enum EncodingMode
      extends Enum<EncodingMode>

  This class enumerates all supported encoding modes for fonts: auto, single-byte and CID.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTO` Automatic selection of encoding mode.
    `CID` CID encoding
    `SINGLE_BYTE` Single-byte encoding

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Returns the encoding mode name.
    `static EncodingMode` | `getValue(String name)` Returns the `EncodingMode` by name.
    `String` | `toString()`
    `static EncodingMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EncodingMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AUTO

          public static final EncodingMode AUTO

      Automatic selection of encoding mode.

    - #### SINGLE_BYTE

          public static final EncodingMode SINGLE_BYTE

      Single-byte encoding

    - #### CID

          public static final EncodingMode CID

      CID encoding

  - ### Method Detail

    - #### values

          public static EncodingMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EncodingMode c : EncodingMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EncodingMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

      Returns the encoding mode name.
      Returns:
        the encoding mode name

    - #### getValue

          public static EncodingMode getValue(String name)

      Returns the `EncodingMode` by name.
      Parameters:
        `name` - the name of the encoding mode to look up
      Returns:
        the encoding mode constant

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<EncodingMode>`

Copyright © 2025 Apache Software Foundation. All rights reserved.